## accurip accurip — Computes an AccurateRip CRC |

## Properties

gboolean | first-track | Read / Write
gboolean | last-track | Read / Write

## Types and Values

struct | GstAccurip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstAccurip

## Description

The accurip element calculates a CRC for an audio stream which can be used to match the audio stream to a database hosted on

AccurateRip. This database

is used to check for a CD rip accuracy.

### Example launch line

    1
    gst-launch-1.0 -m uridecodebin uri=file:///path/to/song.flac ! audioconvert ! accurip ! fakesink

## Synopsis

### Element Information

plugin | accurip
author | Christophe Fergeau <teuf@gnome.org>
class | Filter/Analyzer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)44100, channels=(int)2

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)44100, channels=(int)2

## Functions

## Types and Values

### struct GstAccurip

    struct GstAccurip;

Opaque GstAccurip element structure

## Property Details

### The `“first-track”` property

      “first-track”              gboolean

Indicate to the CRC calculation algorithm that this is the first track of a set.

Flags: Read / Write

Default value: FALSE

### The `“last-track”` property

      “last-track”               gboolean

Indicate to the CRC calculation algorithm that this is the last track of a set.

Flags: Read / Write

Default value: FALSE